#include "../src/Xmm.h"
#include <cassert>

int main()
{
	std::cout<<Xmm::missionReferenceTime<<std::endl;
	EMOScam1 emos;
	assert(XmmPayLoad::instrument(emos.RGSinChain()).id() == Xmm::RGS1);
	RGScam2 rgs;
	assert(XmmPayLoad::instrument(rgs.RGSinChain()).id() == Xmm::RGS2);

	for (unsigned dataModeId = 0; dataModeId<Xmm::N_DATA_MODES; ++dataModeId)
		std::cout<<dataModeId<<" : "
				 <<Xmm::toString(Xmm::DataMode(dataModeId))<<std::endl;

	return 0;
}
